Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query User's Specified Group Alias

This API is used to query the group alias set by a user for a specified group.

Enabling the Service

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request Method

POST: https://data center domain/entrust/group/remarkname/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. See API Request Signature.

Request Parameters

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID.
userIdStringYesGroup member ID.

Request Example

POST /entrust/group/remarkname/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=123&groupId=456

Response

The HTTP response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 200 indicates success.
remarkNameStringThe set group alias.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"remarkName": "Happy Parents Group"
}